Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class PortalDeploymentInfo

    java.lang.Object
      org.jboss.deployment.DeploymentInfo
          org.jboss.portal.server.deployment.jboss.PortalDeploymentInfo

All Implemented Interfaces:
  java.io.Serializable

    public class PortalDeploymentInfo

extends org.jboss.deployment.DeploymentInfo

Extends the JBoss AS deployment info to have more contextual information.

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`PortalWebApp` | `pwa` The optional web application containing that deployment info.

Fields inherited from class org.jboss.deployment.DeploymentInfo
`alternativeDD, annotationsCl, classpath, context, date, deployedObject, deployer, document, documentUrl, isDirectory, isScript, isXML, lastDeployed, lastModified, localCl, localUrl, manifest, mbeans, metaData, parent, repositoryConfig, shortName, state, status, subDeployments, ucl, url, watch, webContext`

Constructor Summary
`PortalDeploymentInfo(java.net.URL url, org.jboss.deployment.DeploymentInfo parent, javax.management.MBeanServer server)`
`PortalDeploymentInfo(java.net.URL url, org.jboss.deployment.DeploymentInfo parent, PortalWebApp pwa, javax.management.MBeanServer server)`
`PortalDeploymentInfo(java.net.URL url, javax.management.MBeanServer server)`
`PortalDeploymentInfo(java.net.URL url, PortalDeploymentInfo parent, javax.management.MBeanServer server)`

Method Summary

Methods inherited from class org.jboss.deployment.DeploymentInfo
`addLibraryJar, cleanup, createClassLoaders, equals, getCanonicalName, getManifest, getServer, getTopRepositoryConfig, hashCode, setRepositoryInfo, setServer, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pwa

    public final PortalWebApp pwa

  The optional web application containing that deployment info.

Constructor Detail

### PortalDeploymentInfo

    public PortalDeploymentInfo(java.net.URL url,
                                javax.management.MBeanServer server)
                         throws org.jboss.deployment.DeploymentException

Throws:
  `org.jboss.deployment.DeploymentException`

### PortalDeploymentInfo

    public PortalDeploymentInfo(java.net.URL url,
                                org.jboss.deployment.DeploymentInfo parent,
                                javax.management.MBeanServer server)
                         throws org.jboss.deployment.DeploymentException

Throws:
  `org.jboss.deployment.DeploymentException`

### PortalDeploymentInfo

    public PortalDeploymentInfo(java.net.URL url,
                                org.jboss.deployment.DeploymentInfo parent,
                                PortalWebApp pwa,
                                javax.management.MBeanServer server)
                         throws org.jboss.deployment.DeploymentException

Throws:
  `org.jboss.deployment.DeploymentException`

### PortalDeploymentInfo

    public PortalDeploymentInfo(java.net.URL url,
                                PortalDeploymentInfo parent,
                                javax.management.MBeanServer server)
                         throws org.jboss.deployment.DeploymentException

Throws:
  `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD